{ config, pkgs, ... }:

{
  imports =
    [ 
      ./hardware-configuration.nix
      ../../common/common.nix
      ../../common/nginx.nix
      ../../common/netdata.nix
      ../../common/kvm.nix
      ./wireguard.nix
    ];

  # Use the GRUB 2 boot loader.
  boot.loader.grub.enable = true;
  boot.loader.grub.version = 2;
  boot.loader.grub.device = "/dev/sda"; # or "nodev" for efi only

  networking.hostName = "pion";   
 
  networking.useDHCP = false;
  networking.interfaces.ens3.ipv4.addresses = [ {
    address = "45.9.62.100";
    prefixLength = 22;
  } ];
  networking.defaultGateway = "45.9.60.1";
  networking.interfaces.ens3.ipv6.addresses = [{
    address = "2a03:4000:45:5f3::1";
    prefixLength = 64;
  }{
    address = "2a03:4000:45:5f3:a817:42ff:fe13:3d86";
    prefixLength = 64;
  }
  ];
  networking.defaultGateway6 = {
    address = "fe80::1";
    interface = "ens3";
  };


  services.ndppd = {
    enable = true;
    proxies = {
      ens3.rules."2a03:4000:45:5f3:200::0/72".method = "static";
      ens3.rules."2a03:4000:45:5f3:500::3/128".method = "static";
    };
  };
}